Aurora MySQL 数据库引擎更新 2019-02-07(版本 2.03.4)(已弃用) - Amazon Aurora
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

Aurora MySQL 数据库引擎更新 2019-02-07(版本 2.03.4)(已弃用)

版本:2.03.4

Aurora MySQL 2.03.4 已正式发布。Aurora MySQL 2.x 版与 MySQL 5.7 兼容,Aurora MySQL 1.x 版与 MySQL 5.6 兼容。

在创建新的 Aurora MySQL 数据库集群(包括还原快照)时,您可以选择与 MySQL 5.7 或 MySQL 5.6 的兼容性。

我们不允许将 Aurora MySQL 1.* 集群就地升级到 Aurora MySQL 2.03.4 或通过 Amazon S3 备份还原到 Aurora MySQL 2.03.4。我们计划在以后的 Aurora MySQL 2.* 版本中删除这些限制。

如果您有任何问题或疑问,可通过社区论坛和 Amazon Premium Support 联系 Amazon Support。有关更多信息,请参阅“维护 Amazon Aurora 数据库集群”。

注意

该版本目前在 Amazon GovCloud(美国西部)[us-gov-west-1] 和中国(北京)[cn-north-1] 区域中不可用。在提供后,将发布单独的公告。

注意

升级数据库集群的过程已更改。有关更多信息,请参阅 升级 Aurora MySQL 数据库集群的次要版本或补丁程序级别

改进

  • 支持 UTF8MB4 Unicode 9.0 区分腔调字和区分大小写排序规则 utf8mb4_0900_as_ci

与 Aurora MySQL 版本 1 进行比较

以下 Amazon Aurora MySQL 功能在 Aurora MySQL 版本 1(兼容 MySQL 5.6)中受支持,但这些功能目前在 Aurora MySQL 版本 2(兼容 MySQL 5.7)中不受支持。

MySQL 5.7 兼容性

Aurora MySQL 2.03.4 与 MySQL 5.7 数据兼容,包含 JSON 支持、空间索引及生成列等功能。Aurora MySQL 使用 Z 阶曲线原生实现了空间索引功能,使空间数据集的写入性能相比于 MySQL 5.7 提高了 20 倍以上,读取性能提高 10 倍以上。

Aurora MySQL 2.03.4 当前不支持以下 MySQL 5.7 功能:

  • 全局事务标识符 (GTID)。Aurora MySQL 在版本 2.04 以及更高版本中支持 GTID。

  • 组复制插件

  • 增加的页面大小

  • InnoDB 缓冲池启动时加载

  • InnoDB 全文分析器插件

  • 多源复制

  • 在线缓冲池大小调整

  • 密码验证插件

  • 查询重写插件

  • 复制筛选

  • CREATE TABLESPACE SQL 语句

  • X 协议